package com.app.baselibrary.commonUtil;

import android.util.Log;


/**
 * Created by Henry   2015/3/24.
 */
public class LogUtil {
    public static boolean DEBUG = true;//App.DEBUG
    // TODO: 2017/7/3 名称；
    private static final String TAG = "com.oo.seex";
    private static final int LEVEL_VERBOSE = 0;
    private static final int LEVEL_DEBUG = 1;
    private static final int LEVEL_INFO = 2;
    private static final int LEVEL_WARN = 3;
    private static final int LEVEL_ERROR = 4;

    public static void e(String tag, String msg) {
        out(LEVEL_ERROR, tag, msg);
    }

    public static void e(String msg) {
        e(TAG, msg);
    }

    public static void v(String tag, String msg) {

        out(LEVEL_VERBOSE, tag, msg);
    }

    public static void v(String msg) {
        v(TAG, msg);
    }

    public static void d(String tag, String msg) {
        out(LEVEL_DEBUG, tag, msg);
    }

    public static void d(String msg) {
        d(TAG, msg);
    }

    public static void i(String tag, String msg) {
        out(LEVEL_INFO, tag, msg);

    }

    public static void i(String msg) {
        i(TAG, msg);

    }

    public static void w(String tag, String msg) {
        out(LEVEL_WARN, tag, msg);
    }

    public static void w(String msg) {
        w(TAG, msg);
    }

    private static void out(int i, String tag, String msg) {
        if (DEBUG) {
            switch (i) {
                case LEVEL_VERBOSE:
                    Log.v(tag, msg);
                    break;
                case LEVEL_DEBUG:
                    Log.d(tag, msg);
                    break;
                case LEVEL_INFO:
                    Log.i(tag, msg);
                    break;
                case LEVEL_WARN:
                    Log.w(tag, msg);
                    break;
                case LEVEL_ERROR:
                    Log.e(tag, msg);
                    break;
                default:
                    break;
            }
            //FileUtils.writeLog(msg);
        }
    }
}
